package lazyinitialization;

import java.util.List;

public class Product {
    private List<Supplier> suppliers;

    /**
     * Lazy Load Pattern - Lazy Initialization
     * @return
     */
    public List<Supplier> getSuppliers() {
        if (suppliers == null) {
            // Connect to database to retrieve the supplier list
        }
        return suppliers;
    }
}
