package virtualproxy;

import java.util.List;


public class TestVirtualProxy {

    public static void main(String args[]){
        StudentMapper studentMapper = new StudentMapper();
        Student student = (Student)studentMapper.doLoad(1L);
        VirtualList courseVL = student.getCourses();
        List<DomainObject> courses = courseVL.getSource();
        for (DomainObject course: courses){
            Course c = (Course)course;
            System.out.println(c.getId());
            System.out.println(c.getName());
        }
    }
}
